package com.smppw.common.cache;

/**
 *
 */
public abstract class BasicLocalCache {

    /**
     * 基金本地缓存最大容量（16 * 512） 8192
     */
    static final int FUND_CAPACITY = 8192;

    /**
     * 指数本地缓存最大容量（16 * 8） 128
     */
    static final int INDEX_CAPACITY = 128;

    /**
     * 获取不到数据得 sec ,只有几种情况，所以设最小值 16
     */
    static final int NO_DATA_CAPACITY = 16;

    /**
     * 定时任务起始时间缓存 512
     */
    static final int SCHEDULE_TASK_CAPACITY = 512;

}
