package com.smppw.common.pojo;

import lombok.Getter;
import lombok.Setter;

/**
 * 交易日
 */
@Setter
@Getter
public class IndexesTradeDate {
    /**
     * 日期
     */
    private String tradeDate;

    /**
     * 年周
     */
    private String yearWeek;

    /**
     * 全年的第几周
     */
    private Integer weekOfYear;

    /**
     * 星期，周一为1
     */
    private Integer dayOfWeek;

    /**
     * 是否为节假日 0 工作日 1 节假日
     */
    private Integer isholiday;

    /**
     * 年月
     */
    private String yearmonth;

    /**
     * 是否周最后交易日：1-是，2-否
     */
    private Integer isWeekend;

    /**
     * 是否月最后交易日：1-是，2-否
     */
    private Integer isMonthend;
}