package com.smppw.common.pojo.dto.calc;

import com.smppw.common.pojo.enums.TimeRange;
import lombok.Data;

import java.util.List;

@Data
public class IndicatorCalcTimeRangeDto {
    private String id;
    /**
     * 开始日期-必传
     */
    private String startDate;
    /**
     * 结束日期-必传
     */
    private String endDate;
    /**
     * 必传
     */
    private TimeRange timeRange;
    /**
     * 周频和日频是前四天交易日序列, 又大到小,
     */
    private List<String> preDays;

    private List<String> monthPreDays;

    private List<String> monthLaterDays;

}
