package com.smppw.core.rate.calc;

import com.smppw.common.pojo.dto.CompoundRet;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.core.rate.Rate;

import java.util.List;

/**
 * 超额下行风险
 */
public class ExcessReturnDownsideStdDev extends Rate {
    @Override
    public Double calc(List<CompoundRet> list, Frequency frequency, boolean ifAnnualized) {

        if (list == null || list.isEmpty()) {
            return null;
        }
        //将基金的收益替换成几何超额收益
//        ExcessReturnRealTimeCalc excessReturnRealTimeCalc = new ExcessReturnRealTimeCalc();
//        List<CompoundRet> compoundRets = excessReturnRealTimeCalc.transValue(list);
//        if (compoundRets == null || compoundRets.isEmpty()) {
//            return null;
//        }
        return new DownsideStdDev().calc(list, frequency, ifAnnualized);
    }
}
