package com.smppw.core.rate.calc;


import com.smppw.common.pojo.dto.DateValue;
import com.smppw.common.pojo.enums.Indicator;
import com.smppw.utils.CalcUtils;
import com.smppw.core.rate.Rate;
import com.smppw.utils.CommonUtil;

import java.util.List;

/**
 * @author zhengsongliang
 * @datetime 2017年7月26日 下午2:58:28
 */
public class MaxDrawdownInterval extends Rate {

	@Override
	public Double calc(List<DateValue> dateValues) {
		String v = CalcUtils.getMaxDrawdownInfo(dateValues).get(Indicator.MaxDrawdownInterval);
		return CommonUtil.string2Double(v);
	}

}
