package com.smppw.common.pojo.dto;

import lombok.Data;

@Data
public class CompoundRet {
	private String endDate;
	private Double retOfFund; // Fund
	private Double retOfBmk; // Benchmark
	private Double retOfRf; // Risk-free rate
	private Double retOfStg; // Strategy

	/*lizhuang  加的基金净值和指数净值属性，
	方便在不修改大逻辑的情况下进行超额回撤计算，
	这么改是不得已，一般不推荐*/
	private Double fundNav;
	private Double indexNav;

	@Override
	public String toString() {
		return "MultiFunValue [endDate=" + endDate + ", retOfFund=" + retOfFund + ", retOfBmk=" + retOfBmk
				+ ", retOfRf=" + retOfRf + ", retOfStg=" + retOfStg + ",fundNav=" + fundNav+ ",indexNav=" + indexNav+"]";
	}
}
