package com.smppw.common.pojo.enums;

public enum DateIntervalType {
    /**
     * 默认滚动  历史收益, 滚动收益的周, 月, 年  , 此类滚动是前后收尾相接的
     */
    DefaultRolling,

    /**
     * 自定义滚动 例子 区间收益的单窗口, 滚动收益的自定义   是需要选择窗口和步长的这种
     */
    CustomRolling,

    /**
     * 自定义区间 例子  就是选择好了开始日期 结束日期 或者是选择好了 结束日期和timerange的这种
     */
    CustomInterval,

    /**
     * 回溯区间   例子  区间收益的回溯窗口
     */
    TrailingInterval,

    /**
     * 默认区间  例子 区间收益的默认区间
     */
    DefaultInterval,

    /**
     * 所有的区间
     */
    AllInterval;
}
